## de.memowe.sbc.kernel
Class Errors

    java.lang.Object
      de.memowe.sbc.kernel.Errors

    public class Errors

extends java.lang.Object

Error messages for SBC.

Field Summary
`static int` `FORBIDDEN_URL`
`static int` `NO_EMPHASIS_END`
`static int` `NO_HYPERLINK_END`
`static int` `NO_IMAGE_END`
`static int` `NO_QUOTE_END`
`static int` `NO_STRONG_END`
`static int` `UNKNOWN_TOKEN`

Constructor Summary
`Errors()`

Method Summary
`static java.lang.String` `get(int e, int line, int language)` Returns an error message.
`static java.lang.String` `get(int e, java.lang.String arg, int line, int language)` Returns an error message with an argument.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_QUOTE_END

    public static final int NO_QUOTE_END

See Also:
  Constant Field Values

### NO_EMPHASIS_END

    public static final int NO_EMPHASIS_END

See Also:
  Constant Field Values

### NO_STRONG_END

    public static final int NO_STRONG_END

See Also:
  Constant Field Values

### NO_HYPERLINK_END

    public static final int NO_HYPERLINK_END

See Also:
  Constant Field Values

### NO_IMAGE_END

    public static final int NO_IMAGE_END

See Also:
  Constant Field Values

### FORBIDDEN_URL

    public static final int FORBIDDEN_URL

See Also:
  Constant Field Values

### UNKNOWN_TOKEN

    public static final int UNKNOWN_TOKEN

See Also:
  Constant Field Values

Constructor Detail

### Errors

    public Errors()

Method Detail

### get

    public static java.lang.String get(int e,
                                       int line,
                                       int language)

  Returns an error message.

  Parameters:
    `e` - name
    `line` - line number
    `language` - language of the error message
  Returns:
    the error message

### get

    public static java.lang.String get(int e,
                                       java.lang.String arg,
                                       int line,
                                       int language)

  Returns an error message with an argument.

  Parameters:
    `e` - name
    `arg` - argument
    `line` - line number
    `language` - language of the error message
  Returns:
    the error message